ne_has_support
3

# ne_has_support

determine feature support status

          #include <ne_utils.h>

            int ne_has_support
            int feature

## Description

The `ne_has_support` function can be used to determine whether a particular optional feature, given by the feature code `feature`, is supported. The following feature codes are available:

`NE_FEATURE_SSL`

  Indicates support for SSL/TLS

`NE_FEATURE_ZLIB`

  Indicates support for compressed responses

`NE_FEATURE_IPV6`

  Indicates support for IPv6

`NE_FEATURE_LFS`

  Indicates support for large files

`NE_FEATURE_SOCKS`

  Indicates support for SOCKSv5

`NE_FEATURE_TS_SSL`

  Indicates support for thread-safe SSL initialization — see

## Return value

`ne_has_support` returns non-zero if the given feature is supported, or zero otherwise.

## See also

,